RESTinio

Public Member Functions | List of all members
restinio::impl::acceptor_details::ip_blocker_holder_t< restinio::ip_blocker::noop_ip_blocker_t > Struct Reference

A specialization of ip_blocker_holder for case of noop_ip_blocker. More...

`#include <acceptor.hpp>`

## Public Member Functions
template<typename Settings >
| ip_blocker_holder_t (const Settings &)
template<typename Socket >
restinio::ip_blocker::inspection_result_t | inspect_incoming (Socket &) const noexcept

## Detailed Description

A specialization of ip_blocker_holder for case of noop_ip_blocker.

This class doesn't hold anything and doesn't do anything.

Since
  v.0.5.1

Definition at line 141 of file acceptor.hpp.

## Constructor & Destructor Documentation

## ◆ ip_blocker_holder_t()

template<typename Settings >

restinio::impl::acceptor_details::ip_blocker_holder_t< restinio::ip_blocker::noop_ip_blocker_t >::ip_blocker_holder_t | ( | const Settings & |  | ) |
| inline

Definition at line 144 of file acceptor.hpp.

## Member Function Documentation

## ◆ inspect_incoming()

template<typename Socket >

restinio::ip_blocker::inspection_result_t restinio::impl::acceptor_details::ip_blocker_holder_t< restinio::ip_blocker::noop_ip_blocker_t >::inspect_incoming | ( | Socket & |  | ) | const
| inline noexcept

Definition at line 148 of file acceptor.hpp.

The documentation for this struct was generated from the following file:

- restinio/impl/acceptor.hpp